Page MenuHomePhabricator

Investigate and make improvements to the extension review process
Open, NormalPublic

Description

Context

Two of the most recent causes for this topic to come up:

  • Greg had a conversation at the Hackathon that reiterated the issue with discoverability and clarity of getting new code/extensions/services into production at WMF.
  • During the post-mortem meeting of a recent ORES related incident, the extension submittal review process was discussed and we decided that it would be worth reviewing it for completeness.

Initial brain dump

Can we make it obviously clear to outsiders (volunteer developers or even WMDE developers) who they need to talk to and what process they should follow?

First obvious questions:

  • Why is the wiki page named "Review queue"?
  • Why is that page on mw.org?

Existing/historical relevant pages

See also

Event Timeline

greg triaged this task as Normal priority.May 21 2018, 10:53 AM
greg created this task.
Restricted Application added a project: User-greg. · View Herald TranscriptMay 21 2018, 10:53 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Why is the wiki page named "Review queue"?

Not an answer, but for historical context: I merged two existing pages in T142081: Merge Wikimedia's "Deployment checklist for new extensions" doc pages.

Can we make it obviously clear to outsiders (volunteer developers or even WMDE developers) who they need to talk to and what process they should follow?

...or WMSE, on my list in T190076: Investigate potential process improvements how to get (third party maintained) software deployed on Wikimedia sites but not sure when I'm going to get to it and I won't be unhappy if you're faster.
@greg: Shall T190076 and T195244 get merged, if I interpret the task scopes correctly?

greg moved this task from Backlog to Next on the User-greg board.Jun 12 2018, 11:05 PM
greg added a comment.Jun 20 2018, 7:10 PM

@greg: Shall T190076 and T195244 get merged, if I interpret the task scopes correctly?

Sure :)

Vvjjkkii renamed this task from Re-think/factor [[mw:Review queue]] and generally the process of getting new code into production to vjcaaaaaaa.Jul 1 2018, 1:09 AM
Vvjjkkii removed greg as the assignee of this task.
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from vjcaaaaaaa to Re-think/factor [[mw:Review queue]] and generally the process of getting new code into production.Jul 2 2018, 4:44 AM
CommunityTechBot assigned this task to greg.
CommunityTechBot lowered the priority of this task from High to Normal.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.
bd808 added a subscriber: bd808.

Flipping this redirect around the other direction would be a start -- https://www.mediawiki.org/w/index.php?title=Writing_an_extension_for_deployment&redirect=no

I knew what I was looking for on mediawiki.org and it still took me 4 searches to land on [[Review_queue]].

Quiddity updated the task description. (Show Details)Jul 10 2018, 6:16 PM

I've added some relevant (I think) links to the description, to aid in discussion.

greg renamed this task from Re-think/factor [[mw:Review queue]] and generally the process of getting new code into production to Investigate and make improvements to the extension review process.Jul 13 2018, 10:27 PM
greg reassigned this task from greg to Jrbranaa.
greg updated the task description. (Show Details)
greg removed a project: User-greg.
greg added a subscriber: Jrbranaa.

Comments from the duplicate I'm merging in:

Reached out to Daniel for more info. Also reached out to Marko regarding the review process for services.

Moved to blocked as I am waiting for response from Daniel on my request.

greg claimed this task.Mar 21 2019, 6:38 PM
Restricted Application added a project: User-greg. · View Herald TranscriptMar 21 2019, 6:38 PM
Jopparn removed a subscriber: Jopparn.Tue, Jul 30, 8:46 AM